
Installer - Bug #30697

Pulpcore database created with SQL_ASCII encoding

08/24/2020 01:31 PM - Ian Ballou

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A user's pulpcore database was created with SQL_ASCII encoding instead of UTF-8.  This caused sync errors with Pulp 3.  I'm not

positive that this would be an installer issue, but it seems plausible.

Here is the originally thread: https://community.theforeman.org/t/unable-to-sync-repo-encoding-error/20179

Installed Katello version: 3.16

Related issues:

Is duplicate of Installer - Bug #31018: Pulpcore PostgreSQL database is not e... Closed

History

#1 - 08/24/2020 02:32 PM - Ian Ballou

Installer command used to install Katello:

foreman-installer --enable-foreman-plugin-ansible --enable-foreman-proxy-plugin-ansible --enable-foreman-plugi

n-remote-execution --enable-foreman-proxy-plugin-remote-execution-ssh --scenario katello

#2 - 08/24/2020 02:39 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

We don't explicitly set it:

https://github.com/theforeman/puppet-pulpcore/blob/9eb1cc98e04e97290adaaa15252773e02a47bd30/manifests/database.pp#L7-L11

Unlike for Foreman:

https://github.com/theforeman/puppet-foreman/blob/e3bf011200d2519895627e29f0cb458dc47338b7/manifests/database/postgresql.pp#L24-L25

It's probably best to copy what we do for Foreman.

#3 - 10/08/2020 08:59 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

I am bad at checking for an existing issue and created #31018.

#4 - 10/08/2020 08:59 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #31018: Pulpcore PostgreSQL database is not enforced to UTF-8 added
